[RTL][Contacts]The ellipsis is shown at left side of long LTR company name at contacts list view.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Contacts
P3
normal
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Sue, Unassigned)

Tracking

(Blocks: 2 bugs)

unspecified
ARM
Gonk (Firefox OS)
Dependency tree / graph
Bug Flags:
in-moztrap +

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-master affected)

Details

(Whiteboard: [2.2-nexus-5-l])

Attachments

(3 attachments)

(Reporter)

Description

3 years ago
Created attachment 8590711 [details]
ellipsis_in_contacts_list.png

[1.Description]:
[RTL][v2.2 & v3.0][Contacts]The ellipsis which should be shown at right side of long LTR company name is shown at left side at contacts list view.
See attachment:ellipsis_in_contacts_list.png

[2.Testing Steps]: 
1. Set system language as Arabic.
2. Launch Contacts.
3. New a contacts with long LTR company name.
4. Back to contacts list view and observe the contacts with long LTR company name.

[3.Expected Result]: 
4. The ellipsis should be shown at right side of long LTR company name.

[4.Actual Result]: 
4. The ellipsis is shown at left side of long LTR company name.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150409002503
Gaia Revision          ea735c21bfb0d78333213ff0376fce1eac89ead6
Gaia Date              2015-04-07 20:58:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/0efd5cdbe224
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150409.041814
Firmware Date          Thu Apr  9 04:18:23 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150409160204
Gaia Revision          eaf69e651e19b98c096f8e63b9829fb31df50927
Gaia Date              2015-04-09 12:43:21
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/dd32e3ff3717
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150409.193255
Firmware Date          Thu Apr  9 19:33:06 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact]
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
I think this is kind of a side case, so will triage as P3
Priority: -- → P3
(Reporter)

Comment 2

3 years ago
Test case has been added in moztrap:
https://moztrap.mozilla.org/manage/case/15385/
Flags: in-moztrap+
(Reporter)

Updated

3 years ago
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
Whiteboard: [2.2-nexus-5-l]
Created attachment 8646128 [details]
AriesKK_v2.5.png

This issue can be reproduced on latest AriesKK v2.5 build by the same STR in comment 0.
Actual Result: 
The ellipsis is shown at left side of long LTR company name.

See attachment:AriesKK_v2.5.png.
Reproducing rate:10/10

Device: AriesKK v2.5 build
Build ID               20150810003528
Gaia Revision          09dea2d5ff21cdb56da35fe4aa5bf4c90cf1da7f
Gaia Date              2015-08-09 17:11:47
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/0e269a1f1beb
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150810.000017
Firmware Date          Mon Aug 10 00:00:24 UTC 2015
Bootloader             s1
Blocks: 1181926
Created attachment 8680533 [details]
ellipsis_Company_v2.5.png

This issue cannot be reproduced on latest FlameKK&AriesKK v2.5 build by the same STR in comment 0.
Actual result:The ellipsis is displayed at right side of long LTR company name in the main view of Contacts.
See attachment:ellipsis_Company_v2.5.png.
Reproducing rate:0/10

Device: FlameKK v2.5 build (512mb)
Build ID               20151028150209
Gaia Revision          2e89362de40a6c9c36525d36317fa1ae8e67e143
Gaia Date              2015-10-28 04:56:28
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/fc706d376f0658e560a59c3dd520437b18e8c4a4
Gecko Version          44.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151028.182746
Firmware Date          Wed Oct 28 18:27:57 EDT 2015
Firmware Date           v18D v4
Bootloader             L1TC000118D0

Device: AriesKK v2.5 build
Build ID               20151029010303
Gaia Revision          75f2236d36cc9f9c02d3596fae3de014007cfd82
Gaia Date              2015-10-28 17:02:16
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1e700005a0ddf2b17803213e1f3f8d78a7a618b8
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151029.002011
Firmware Date          Thu Oct 29 00:20:19 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.